package com.tester.client;

import java.util.logging.Level;
import java.util.logging.Logger;

import javax.jms.JMSException;
import javax.jms.Topic;
import javax.jms.TopicConnection;
import javax.jms.TopicConnectionFactory;
import javax.jms.TopicSession;
import javax.jms.TopicSubscriber;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.swing.SwingUtilities;

import com.tester.generated.WebServiceTester;
import com.tester.generated.WebServiceTesterService;


public class Main {

    private static final Logger logger = Logger.getAnonymousLogger();

    public static void test() {
        
        System.out.println("Started");
        try {
            logger.info("Creating web service port.");
            Thread.sleep(1000);
            WebServiceTester port = new WebServiceTesterService().getWebServiceTesterPort();
            logger.info("Getting Data from web service.");
            Thread.sleep(1000);
            logger.info("The data with no exception is: " + port.getAllStuff());
            logger.info("Getting Data from web service with exception.");
            Thread.sleep(1000);
            logger.info("The data with exception is: " + port.getAllStuffWithException());
            Thread.sleep(1000);
            logger.info("Done getting data.");
        } catch (Exception e) {
            logger.log(Level.SEVERE, e.getMessage(), e);
        }
        
        try {
            Thread.sleep(3000);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
    }
    
    public static void main(String[] args) {

        // This whole scheme is so we can actually get the stack trace
        // in the java console.  Otherwise this main method just had
        // the code above in the test method
        SwingUtilities.invokeLater(new Runnable() {
            
            @Override
            public void run() {
        
                try {
                    Main.test();
                } catch (Exception e) {
                    e.printStackTrace();
                }
                try {
                    Thread.sleep(3000);
                } catch (InterruptedException e) {
                    e.printStackTrace();
                }
            }
        });
        
        try {
            Thread.sleep(10000);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
    }
}