package com.tester.client;

import java.util.logging.Level;
import java.util.logging.Logger;

import javax.jms.JMSException;
import javax.jms.Topic;
import javax.jms.TopicConnection;
import javax.jms.TopicConnectionFactory;
import javax.jms.TopicSession;
import javax.jms.TopicSubscriber;
import javax.naming.InitialContext;
import javax.naming.NamingException;


public class Main {

    private static final Logger logger = Logger.getAnonymousLogger();

    public static void main(String[] args) {

        System.out.println("Started");
        
        try {
            String jmsTopicConnectionFactory = "jms/TestConnectionFactory";
            String topicName = "jms/Topic";
            
            TopicConnectionFactory tConnectionFactory = null;
            TopicConnection tConnection = null;
            TopicSession tSession = null;
            Topic topic = null;

            InitialContext jndiContext = new InitialContext();

            tConnectionFactory = (TopicConnectionFactory) jndiContext.lookup(jmsTopicConnectionFactory);
            if (tConnectionFactory == null) {
                throw new RuntimeException("Cannot create TopicConnectionFactory (" + jmsTopicConnectionFactory + ")");
            }
            logger.info(tConnectionFactory.toString());
            tConnection = tConnectionFactory.createTopicConnection();
            topic = (Topic) jndiContext.lookup(topicName);
            tSession = tConnection.createTopicSession(false,
                                                      TopicSession.AUTO_ACKNOWLEDGE);
            TopicSubscriber tSubscriber = tSession.createSubscriber(topic);
            logger.info("Created TopicConnectionFactory, Session and Topic for " + topicName);
        } catch (Exception e) {
            logger.log(Level.SEVERE, e.getMessage(), e);
        }
    }
}